### File

`packages/ecl/components/ecl-site-header/custom-action/ecl-site-header-custom-action.component.ts`

### Description

This components gives opportunity for user to add a custom action. It will appear at first place, before log-in and language and search (if any of these exist). Adds specific styling and functionality. Opens a dropdown with some more content.

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit` `OnDestroy`

### Metadata

HostDirectives | `ECLClickOutsideDirective` Outputs : eclClickOutside
selector | `div[eclSiteHeaderCustomAction]`
imports | `A11yModule` `EUI_ECL_BUTTON` `EUI_ECL_ICON`
templateUrl | `./ecl-site-header-custom-action.component.html`

### Index

###### Properties
class eclSiteHeaderCustomActionLink isOverlayExpanded title titleId
###### Methods
onClickOutsideHandler onCustomActionOverlayClose onEscapeKeydownHandler getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### HostListeners
document:keydown.escape eclClickOutside

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Default value : `'ecl-site-header__custom-action'`

### HostListeners

document:keydown.escape
`document:keydown.escape()`
Close the overlay with ESC key.

eclClickOutside
`eclClickOutside()`
Close the overlay, when clicking outside of it.

### Methods

onClickOutsideHandler
`onClickOutsideHandler()`
Decorators : `@HostListener('eclClickOutside')`
Close the overlay, when clicking outside of it. Returns : `void`

onCustomActionOverlayClose
`onCustomActionOverlayClose()`
Close the overlay. Returns : `void`

onEscapeKeydownHandler
`onEscapeKeydownHandler()`
Decorators : `@HostListener('document:keydown.escape')`
Close the overlay with ESC key. Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

class
Type : `string`
Default value : `'ecl-site-header__custom-action'`
Decorators : `@HostBinding('class')`

eclSiteHeaderCustomActionLink
Type : `EclSiteHeaderCustomActionLinkDirective`
Decorators : `@ContentChild(EclSiteHeaderCustomActionLinkDirective)`

isOverlayExpanded
Type : `unknown`
Default value : `false`
Used to expand/collapse the dropdown, if any.

title
Type : `EclSiteHeaderCustomActionTitleDirective`
Decorators : `@ContentChild(EclSiteHeaderCustomActionTitleDirective)`

titleId
Type : `string`

# results matching ""

# No results matching ""